apropos(1)

NAME
apropos - search the manual page names and descriptions

SYNOPSIS
apropos [-dhV] [-e|-w|-r ] [-m system[,...]] [-M path] [-C file] keyword ...

DESCRIPTION
Each manual page has a short description available within it. apropos searches the descriptions for instances of keyword. keyword is usually a regular expression, as if (-r) was used, or may contain wildcards (-w), or match the exact keyword (-e). Using these options, it may be necessary to quote the keyword or escape (\) the special characters to stop the shell from interpreting them. The standard matching rules allow matches to be made against the page name and word boundaries in the description.

OPTIONS

-d, --debug
    Print debugging information.

-v, --verbose
    Print verbose warning messages.

-r, --regex
    Interpret each keyword as a regular expression. This is the default behaviour. Each keyword will be matched against the page names and the descriptions independently. It can match any part of either. The match is not limited to word boundaries.

-w, --wildcard
    Interpret each keyword as a pattern containing shell style wildcards. Each keyword will be matched against the page names and the descriptions independently. If --exact is also used, a match will only be found if an expanded keyword matches an entire description or page name. Otherwise the keyword is also allowed to match on word boundaries in the description.

-e, --exact
    Each keyword will be exactly matched against the page names and the descriptions.

-m system [,...], --systems=system [,...]
    If this system has access to other operating system's manual page descriptions, they can be searched using this option. To search NewOS's manual page descriptions, use the option -m NewOS. The system specified can be a combination of comma-delimited operating system names. To include a search of the native operating system's whatis descriptions, include the system name man in the argument string. This option will override the $SYSTEM environment variable.

-M path, --manpath=path
    Specify an alternate set of colon-delimited manual page hierarchies to search. By default, apropos uses the $MANPATH environment variable, unless it is empty or unset, in which case it will determine an appropriate manpath based on your $PATH environment variable. This option overrides the contents of $MANPATH.

-C file, --config-file=file
    Use this user configuration file rather than the default of ~/.manpath.

-h, --help
    Print a help message and exit.

-V, --version
    Display version information.

EXIT STATUS

0   Successful program execution.

1   Usage, syntax or configuration file error.

2   Operational error.

16  Nothing was found that matched the criteria specified.

ENVIRONMENT

SYSTEM
    If $SYSTEM is set, it will have the same effect as if it had been specified as the argument to the -m option.

MANPATH
    If $MANPATH is set, its value is interpreted as the colon-delimited manual page hierarchy search path to use.

POSIXLY_CORRECT
    If $POSIXLY_CORRECT is set, even to a null value, the default apropos search will be as an extended regex (-r) . Nowadays, this is the default behaviour anyway.

FILES

/usr/share/man/index.(bt|db|dir|pag)
    A traditional global index database cache.

/var/cache/man/index.(bt|db|dir|pag)
    An alternate or FHS compliant global index database cache.

/usr/share/man/.../whatis
    A traditional whatis text database.

SEE ALSO
whatis(1), man(1).

AUTHOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).